/*===========================================================================*/
/*   (Eval/expdbool.scm)                                                     */
/*   Bigloo (4.7a)                                                           */
/*   Inria -- Sophia Antipolis (c)       Thu Feb 19 09:11:58 AM CET 2026     */
/*===========================================================================*/
/* COMPILATION: (/home/serrano/prgm/project/bigloo/4.7a/bin/bigloo -srfi bigloo-unsafe -O3 -fcfa-arithmetic -q -lib-dir /home/serrano/prgm/project/bigloo/4.7a/lib/bigloo/4.7a +rm -mklib -cc gcc -fsharing -q -no-hello -unsafe -safee -O4 -stdc -c Eval/expdbool.scm -indent -o objs/obj_u/Eval/expdbool.c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C"
{
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___EXPANDER_BOOL_TYPE_DEFINITIONS
#define BGL___EXPANDER_BOOL_TYPE_DEFINITIONS
#endif													// BGL___EXPANDER_BOOL_TYPE_DEFINITIONS
#endif													// BGL_MODULE_TYPE_DEFINITIONS

	extern obj_t BGl_putpropz12z12zz__r4_symbols_6_4z00(obj_t, obj_t, obj_t);
	static obj_t BGl_symbol1750z00zz__expander_boolz00 = BUNSPEC;
	static obj_t BGl_symbol1752z00zz__expander_boolz00 = BUNSPEC;
	static obj_t BGl_symbol1754z00zz__expander_boolz00 = BUNSPEC;
	extern int BGl_bigloozd2warningzd2zz__paramz00(void);
	static obj_t BGl_requirezd2initializa7ationz75zz__expander_boolz00 = BUNSPEC;
	extern obj_t BGl_expandzd2errorzd2zz__expandz00(obj_t, obj_t, obj_t);
	static obj_t BGl_list1740z00zz__expander_boolz00 = BUNSPEC;
	extern bool_t BGl_equalzf3zf3zz__r4_equivalence_6_2z00(obj_t, obj_t);
	BGL_EXPORTED_DECL obj_t
		BGl_modulezd2initializa7ationz75zz__expander_boolz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__expandz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__prognz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00(long,
		char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(long, char *);
	extern obj_t
		BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(long,
		char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__threadz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__paramz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bignumz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__bexitz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__structurez00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__tvectorz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__biglooz00(long, char *);
	extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
	BGL_EXPORTED_DECL obj_t BGl_expandzd2condzd2zz__expander_boolz00(obj_t);
	extern obj_t BGl_warningz00zz__errorz00(obj_t);
	static obj_t BGl_cnstzd2initzd2zz__expander_boolz00(void);
	static obj_t BGl_genericzd2initzd2zz__expander_boolz00(void);
	extern long bgl_list_length(obj_t);
	static obj_t BGl_importedzd2moduleszd2initz00zz__expander_boolz00(void);
	static obj_t BGl_gczd2rootszd2initz00zz__expander_boolz00(void);
	static obj_t BGl_objectzd2initzd2zz__expander_boolz00(void);
	extern obj_t bstring_to_symbol(obj_t);
	extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
	static obj_t BGl_methodzd2initzd2zz__expander_boolz00(void);
	static obj_t BGl_z62expandzd2condzb0zz__expander_boolz00(obj_t, obj_t);
	extern obj_t BGl_evepairifyzd2deepzd2zz__prognz00(obj_t, obj_t);
	static obj_t BGl_symbol1741z00zz__expander_boolz00 = BUNSPEC;
	static obj_t BGl_symbol1745z00zz__expander_boolz00 = BUNSPEC;
	static obj_t BGl_symbol1746z00zz__expander_boolz00 = BUNSPEC;
	static obj_t BGl_symbol1748z00zz__expander_boolz00 = BUNSPEC;
	extern obj_t BGl_expandzd2prognzd2zz__prognz00(obj_t);
	static obj_t *__cnst;


	   
		 
		DEFINE_EXPORT_BGL_PROCEDURE(BGl_expandzd2condzd2envz00zz__expander_boolz00,
		BgL_bgl_za762expandza7d2cond1758z00,
		BGl_z62expandzd2condzb0zz__expander_boolz00, 0L, BUNSPEC, 1);
	      BGL_DEFINE_STRING(BGl_string1742z00zz__expander_boolz00,
		BgL_bgl_string1742za700za7za7_1759za7, "else", 4);
	      BGL_DEFINE_STRING(BGl_string1743z00zz__expander_boolz00,
		BgL_bgl_string1743za700za7za7_1760za7, "cond", 4);
	      BGL_DEFINE_STRING(BGl_string1744z00zz__expander_boolz00,
		BgL_bgl_string1744za700za7za7_1761za7, "Illegal form", 12);
	      BGL_DEFINE_STRING(BGl_string1747z00zz__expander_boolz00,
		BgL_bgl_string1747za700za7za7_1762za7, "or", 2);
	      BGL_DEFINE_STRING(BGl_string1749z00zz__expander_boolz00,
		BgL_bgl_string1749za700za7za7_1763za7, "=>", 2);
	      BGL_DEFINE_STRING(BGl_string1751z00zz__expander_boolz00,
		BgL_bgl_string1751za700za7za7_1764za7, "non-user", 8);
	      BGL_DEFINE_STRING(BGl_string1753z00zz__expander_boolz00,
		BgL_bgl_string1753za700za7za7_1765za7, "let", 3);
	      BGL_DEFINE_STRING(BGl_string1755z00zz__expander_boolz00,
		BgL_bgl_string1755za700za7za7_1766za7, "if", 2);
	      BGL_DEFINE_STRING(BGl_string1756z00zz__expander_boolz00,
		BgL_bgl_string1756za700za7za7_1767za7, "ignored COND clauses -- ", 24);
	      BGL_DEFINE_STRING(BGl_string1757z00zz__expander_boolz00,
		BgL_bgl_string1757za700za7za7_1768za7, "__expander_bool", 15);

/* contant bindings */
	static void bgl_constant_bindings()
	{
		BGL_BIND_STRING(BGl_string1757z00zz__expander_boolz00,
			BgL_bgl_string1757za700za7za7_1768za7);
		BGL_BIND_STRING(BGl_string1756z00zz__expander_boolz00,
			BgL_bgl_string1756za700za7za7_1767za7);
		BGL_BIND_STRING(BGl_string1755z00zz__expander_boolz00,
			BgL_bgl_string1755za700za7za7_1766za7);
		BGL_BIND_STRING(BGl_string1753z00zz__expander_boolz00,
			BgL_bgl_string1753za700za7za7_1765za7);
		BGL_BIND_STRING(BGl_string1751z00zz__expander_boolz00,
			BgL_bgl_string1751za700za7za7_1764za7);
		BGL_BIND_STRING(BGl_string1749z00zz__expander_boolz00,
			BgL_bgl_string1749za700za7za7_1763za7);
		BGL_BIND_STRING(BGl_string1747z00zz__expander_boolz00,
			BgL_bgl_string1747za700za7za7_1762za7);
		BGL_BIND_STRING(BGl_string1744z00zz__expander_boolz00,
			BgL_bgl_string1744za700za7za7_1761za7);
		BGL_BIND_STRING(BGl_string1743z00zz__expander_boolz00,
			BgL_bgl_string1743za700za7za7_1760za7);
		BGL_BIND_STRING(BGl_string1742z00zz__expander_boolz00,
			BgL_bgl_string1742za700za7za7_1759za7);
		BGL_BIND_PROCEDURE(BGl_expandzd2condzd2envz00zz__expander_boolz00,
			BgL_bgl_za762expandza7d2cond1758z00);
	}

/* GC roots registration */
	static obj_t bgl_gc_roots_register()
	{
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
		void *roots_min = (void *) ULONG_MAX, *roots_max = 0;

		ADD_ROOT((void *) (&BGl_symbol1750z00zz__expander_boolz00));
		ADD_ROOT((void *) (&BGl_symbol1752z00zz__expander_boolz00));
		ADD_ROOT((void *) (&BGl_symbol1754z00zz__expander_boolz00));
		ADD_ROOT((void *) (&BGl_requirezd2initializa7ationz75zz__expander_boolz00));
		ADD_ROOT((void *) (&BGl_list1740z00zz__expander_boolz00));
		ADD_ROOT((void *) (&BGl_symbol1741z00zz__expander_boolz00));
		ADD_ROOT((void *) (&BGl_symbol1745z00zz__expander_boolz00));
		ADD_ROOT((void *) (&BGl_symbol1746z00zz__expander_boolz00));
		ADD_ROOT((void *) (&BGl_symbol1748z00zz__expander_boolz00));
#undef ADD_ROOT
		if (roots_max > 0)
			GC_add_roots(roots_min, ((void **) roots_max) + 1);
#endif
		return BUNSPEC;
	}



/* module-initialization */
	BGL_EXPORTED_DEF obj_t
		BGl_modulezd2initializa7ationz75zz__expander_boolz00(long
		BgL_checksumz00_1936, char *BgL_fromz00_1937)
	{
		{
			if (CBOOL(BGl_requirezd2initializa7ationz75zz__expander_boolz00))
				{
					BGl_requirezd2initializa7ationz75zz__expander_boolz00 =
						BBOOL(((bool_t) 0));
					bgl_constant_bindings();
					BGl_gczd2rootszd2initz00zz__expander_boolz00();
					BGl_cnstzd2initzd2zz__expander_boolz00();
					BGl_importedzd2moduleszd2initz00zz__expander_boolz00();
					return BGl_methodzd2initzd2zz__expander_boolz00();
				}
			else
				{
					return BUNSPEC;
				}
		}

	}



/* cnst-init */
	obj_t BGl_cnstzd2initzd2zz__expander_boolz00(void)
	{
		{	/* Eval/expdbool.scm 14 */
			BGl_symbol1741z00zz__expander_boolz00 =
				bstring_to_symbol(BGl_string1742z00zz__expander_boolz00);
			BGl_list1740z00zz__expander_boolz00 =
				MAKE_YOUNG_PAIR(BGl_symbol1741z00zz__expander_boolz00, BNIL);
			BGl_symbol1745z00zz__expander_boolz00 =
				bstring_to_symbol(BGl_string1743z00zz__expander_boolz00);
			BGl_symbol1746z00zz__expander_boolz00 =
				bstring_to_symbol(BGl_string1747z00zz__expander_boolz00);
			BGl_symbol1748z00zz__expander_boolz00 =
				bstring_to_symbol(BGl_string1749z00zz__expander_boolz00);
			BGl_symbol1750z00zz__expander_boolz00 =
				bstring_to_symbol(BGl_string1751z00zz__expander_boolz00);
			BGl_symbol1752z00zz__expander_boolz00 =
				bstring_to_symbol(BGl_string1753z00zz__expander_boolz00);
			return (BGl_symbol1754z00zz__expander_boolz00 =
				bstring_to_symbol(BGl_string1755z00zz__expander_boolz00), BUNSPEC);
		}

	}



/* gc-roots-init */
	obj_t BGl_gczd2rootszd2initz00zz__expander_boolz00(void)
	{
		{	/* Eval/expdbool.scm 14 */
			return bgl_gc_roots_register();
		}

	}



/* expand-cond */
	BGL_EXPORTED_DEF obj_t BGl_expandzd2condzd2zz__expander_boolz00(obj_t
		BgL_expz00_7)
	{
		{	/* Eval/expdbool.scm 74 */
			{	/* Eval/expdbool.scm 75 */
				obj_t BgL_clausesz00_1127;

				BgL_clausesz00_1127 = CDR(((obj_t) BgL_expz00_7));
				{	/* Eval/expdbool.scm 75 */
					obj_t BgL_clause1z00_1128;

					if (PAIRP(BgL_clausesz00_1127))
						{	/* Eval/expdbool.scm 76 */
							BgL_clause1z00_1128 = CAR(BgL_clausesz00_1127);
						}
					else
						{	/* Eval/expdbool.scm 76 */
							BgL_clause1z00_1128 = BNIL;
						}
					{	/* Eval/expdbool.scm 76 */
						obj_t BgL_clause2zb2zb2_1129;

						if (PAIRP(BgL_clause1z00_1128))
							{	/* Eval/expdbool.scm 77 */
								BgL_clause2zb2zb2_1129 = CDR(((obj_t) BgL_clausesz00_1127));
							}
						else
							{	/* Eval/expdbool.scm 77 */
								BgL_clause2zb2zb2_1129 = BFALSE;
							}
						{	/* Eval/expdbool.scm 77 */

							if (NULLP(BgL_clause1z00_1128))
								{	/* Eval/expdbool.scm 79 */
									return BFALSE;
								}
							else
								{	/* Eval/expdbool.scm 81 */
									bool_t BgL_test1773z00_1966;

									if (PAIRP(BgL_clause1z00_1128))
										{	/* Eval/expdbool.scm 81 */
											BgL_test1773z00_1966 =
												BGl_equalzf3zf3zz__r4_equivalence_6_2z00
												(BgL_clause1z00_1128,
												BGl_list1740z00zz__expander_boolz00);
										}
									else
										{	/* Eval/expdbool.scm 81 */
											BgL_test1773z00_1966 = ((bool_t) 1);
										}
									if (BgL_test1773z00_1966)
										{	/* Eval/expdbool.scm 81 */
											return
												BGl_expandzd2errorzd2zz__expandz00
												(BGl_string1743z00zz__expander_boolz00,
												BGl_string1744z00zz__expander_boolz00, BgL_expz00_7);
										}
									else
										{	/* Eval/expdbool.scm 81 */
											if (NULLP(CDR(((obj_t) BgL_clause1z00_1128))))
												{	/* Eval/expdbool.scm 84 */
													obj_t BgL_resz00_1135;

													{	/* Eval/expdbool.scm 84 */
														obj_t BgL_arg1197z00_1143;

														{	/* Eval/expdbool.scm 84 */
															obj_t BgL_arg1201z00_1144;
															obj_t BgL_arg1202z00_1145;

															BgL_arg1201z00_1144 =
																CAR(((obj_t) BgL_clause1z00_1128));
															{	/* Eval/expdbool.scm 84 */
																obj_t BgL_arg1203z00_1146;

																BgL_arg1203z00_1146 =
																	MAKE_YOUNG_PAIR
																	(BGl_symbol1745z00zz__expander_boolz00,
																	BgL_clause2zb2zb2_1129);
																BgL_arg1202z00_1145 =
																	MAKE_YOUNG_PAIR(BgL_arg1203z00_1146, BNIL);
															}
															BgL_arg1197z00_1143 =
																MAKE_YOUNG_PAIR(BgL_arg1201z00_1144,
																BgL_arg1202z00_1145);
														}
														BgL_resz00_1135 =
															MAKE_YOUNG_PAIR
															(BGl_symbol1746z00zz__expander_boolz00,
															BgL_arg1197z00_1143);
													}
													{	/* Eval/expdbool.scm 85 */
														bool_t BgL_test1776z00_1981;

														{	/* Eval/expdbool.scm 85 */
															obj_t BgL_arg1196z00_1142;

															BgL_arg1196z00_1142 =
																CAR(((obj_t) BgL_clause1z00_1128));
															BgL_test1776z00_1981 =
																EPAIRP(BgL_arg1196z00_1142);
														}
														if (BgL_test1776z00_1981)
															{	/* Eval/expdbool.scm 86 */
																obj_t BgL_arg1192z00_1138;
																obj_t BgL_arg1193z00_1139;
																obj_t BgL_arg1194z00_1140;

																BgL_arg1192z00_1138 = CAR(BgL_resz00_1135);
																BgL_arg1193z00_1139 = CDR(BgL_resz00_1135);
																{	/* Eval/expdbool.scm 86 */
																	obj_t BgL_objz00_1684;

																	BgL_objz00_1684 =
																		CAR(((obj_t) BgL_clause1z00_1128));
																	BgL_arg1194z00_1140 = CER(BgL_objz00_1684);
																}
																{	/* Eval/expdbool.scm 86 */
																	obj_t BgL_res1731z00_1685;

																	BgL_res1731z00_1685 =
																		MAKE_YOUNG_EPAIR(BgL_arg1192z00_1138,
																		BgL_arg1193z00_1139, BgL_arg1194z00_1140);
																	return BgL_res1731z00_1685;
																}
															}
														else
															{	/* Eval/expdbool.scm 85 */
																return
																	BGl_evepairifyzd2deepzd2zz__prognz00
																	(BgL_resz00_1135, BgL_expz00_7);
															}
													}
												}
											else
												{	/* Eval/expdbool.scm 88 */
													bool_t BgL_test1777z00_1992;

													{	/* Eval/expdbool.scm 88 */
														bool_t BgL_test1778z00_1993;

														{	/* Eval/expdbool.scm 88 */
															obj_t BgL_tmpz00_1994;

															{	/* Eval/expdbool.scm 88 */
																obj_t BgL_pairz00_1689;

																BgL_pairz00_1689 =
																	CDR(((obj_t) BgL_clause1z00_1128));
																BgL_tmpz00_1994 = CAR(BgL_pairz00_1689);
															}
															BgL_test1778z00_1993 =
																(BgL_tmpz00_1994 ==
																BGl_symbol1748z00zz__expander_boolz00);
														}
														if (BgL_test1778z00_1993)
															{	/* Eval/expdbool.scm 88 */
																BgL_test1777z00_1992 =
																	(bgl_list_length(BgL_clause1z00_1128) == 3L);
															}
														else
															{	/* Eval/expdbool.scm 88 */
																BgL_test1777z00_1992 = ((bool_t) 0);
															}
													}
													if (BgL_test1777z00_1992)
														{	/* Eval/expdbool.scm 89 */
															obj_t BgL_auxz00_1152;

															{	/* Eval/expdbool.scm 55 */
																obj_t BgL_symbolz00_1691;

																{	/* Eval/expdbool.scm 55 */

																	{	/* Eval/expdbool.scm 55 */

																		BgL_symbolz00_1691 =
																			BGl_gensymz00zz__r4_symbols_6_4z00
																			(BFALSE);
																	}
																}
																BGl_putpropz12z12zz__r4_symbols_6_4z00
																	(BgL_symbolz00_1691,
																	BGl_symbol1750z00zz__expander_boolz00, BTRUE);
																BgL_auxz00_1152 = BgL_symbolz00_1691;
															}
															{	/* Eval/expdbool.scm 89 */
																obj_t BgL_testz00_1153;

																{	/* Eval/expdbool.scm 55 */
																	obj_t BgL_symbolz00_1693;

																	{	/* Eval/expdbool.scm 55 */

																		{	/* Eval/expdbool.scm 55 */

																			BgL_symbolz00_1693 =
																				BGl_gensymz00zz__r4_symbols_6_4z00
																				(BFALSE);
																		}
																	}
																	BGl_putpropz12z12zz__r4_symbols_6_4z00
																		(BgL_symbolz00_1693,
																		BGl_symbol1750z00zz__expander_boolz00,
																		BTRUE);
																	BgL_testz00_1153 = BgL_symbolz00_1693;
																}
																{	/* Eval/expdbool.scm 90 */
																	obj_t BgL_resz00_1154;

																	{	/* Eval/expdbool.scm 91 */
																		obj_t BgL_arg1225z00_1162;

																		{	/* Eval/expdbool.scm 91 */
																			obj_t BgL_arg1226z00_1163;
																			obj_t BgL_arg1230z00_1164;

																			{	/* Eval/expdbool.scm 91 */
																				obj_t BgL_arg1231z00_1165;

																				{	/* Eval/expdbool.scm 91 */
																					obj_t BgL_arg1232z00_1166;

																					{	/* Eval/expdbool.scm 91 */
																						obj_t BgL_arg1234z00_1167;

																						BgL_arg1234z00_1167 =
																							CAR(
																							((obj_t) BgL_clause1z00_1128));
																						BgL_arg1232z00_1166 =
																							MAKE_YOUNG_PAIR
																							(BgL_arg1234z00_1167, BNIL);
																					}
																					BgL_arg1231z00_1165 =
																						MAKE_YOUNG_PAIR(BgL_testz00_1153,
																						BgL_arg1232z00_1166);
																				}
																				BgL_arg1226z00_1163 =
																					MAKE_YOUNG_PAIR(BgL_arg1231z00_1165,
																					BNIL);
																			}
																			{	/* Eval/expdbool.scm 93 */
																				obj_t BgL_arg1235z00_1168;

																				{	/* Eval/expdbool.scm 93 */
																					obj_t BgL_arg1236z00_1169;

																					{	/* Eval/expdbool.scm 93 */
																						obj_t BgL_arg1239z00_1170;

																						{	/* Eval/expdbool.scm 93 */
																							obj_t BgL_arg1241z00_1171;
																							obj_t BgL_arg1242z00_1172;

																							{	/* Eval/expdbool.scm 93 */
																								obj_t BgL_arg1248z00_1173;

																								{	/* Eval/expdbool.scm 93 */
																									obj_t BgL_arg1249z00_1174;
																									obj_t BgL_arg1252z00_1175;

																									{	/* Eval/expdbool.scm 93 */
																										obj_t BgL_arg1253z00_1176;

																										{	/* Eval/expdbool.scm 93 */
																											obj_t BgL_arg1254z00_1177;

																											BgL_arg1254z00_1177 =
																												MAKE_YOUNG_PAIR
																												(BgL_testz00_1153,
																												BNIL);
																											BgL_arg1253z00_1176 =
																												MAKE_YOUNG_PAIR
																												(BgL_auxz00_1152,
																												BgL_arg1254z00_1177);
																										}
																										BgL_arg1249z00_1174 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1253z00_1176,
																											BNIL);
																									}
																									{	/* Eval/expdbool.scm 94 */
																										obj_t BgL_arg1258z00_1178;

																										{	/* Eval/expdbool.scm 94 */
																											obj_t BgL_arg1259z00_1179;
																											obj_t BgL_arg1261z00_1180;

																											{	/* Eval/expdbool.scm 94 */
																												obj_t BgL_pairz00_1701;

																												{	/* Eval/expdbool.scm 94 */
																													obj_t
																														BgL_pairz00_1700;
																													BgL_pairz00_1700 =
																														CDR(((obj_t)
																															BgL_clause1z00_1128));
																													BgL_pairz00_1701 =
																														CDR
																														(BgL_pairz00_1700);
																												}
																												BgL_arg1259z00_1179 =
																													CAR(BgL_pairz00_1701);
																											}
																											BgL_arg1261z00_1180 =
																												MAKE_YOUNG_PAIR
																												(BgL_auxz00_1152, BNIL);
																											BgL_arg1258z00_1178 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1259z00_1179,
																												BgL_arg1261z00_1180);
																										}
																										BgL_arg1252z00_1175 =
																											MAKE_YOUNG_PAIR
																											(BgL_arg1258z00_1178,
																											BNIL);
																									}
																									BgL_arg1248z00_1173 =
																										MAKE_YOUNG_PAIR
																										(BgL_arg1249z00_1174,
																										BgL_arg1252z00_1175);
																								}
																								BgL_arg1241z00_1171 =
																									MAKE_YOUNG_PAIR
																									(BGl_symbol1752z00zz__expander_boolz00,
																									BgL_arg1248z00_1173);
																							}
																							{	/* Eval/expdbool.scm 95 */
																								obj_t BgL_arg1262z00_1181;

																								BgL_arg1262z00_1181 =
																									MAKE_YOUNG_PAIR
																									(BGl_symbol1745z00zz__expander_boolz00,
																									BgL_clause2zb2zb2_1129);
																								BgL_arg1242z00_1172 =
																									MAKE_YOUNG_PAIR
																									(BgL_arg1262z00_1181, BNIL);
																							}
																							BgL_arg1239z00_1170 =
																								MAKE_YOUNG_PAIR
																								(BgL_arg1241z00_1171,
																								BgL_arg1242z00_1172);
																						}
																						BgL_arg1236z00_1169 =
																							MAKE_YOUNG_PAIR(BgL_testz00_1153,
																							BgL_arg1239z00_1170);
																					}
																					BgL_arg1235z00_1168 =
																						MAKE_YOUNG_PAIR
																						(BGl_symbol1754z00zz__expander_boolz00,
																						BgL_arg1236z00_1169);
																				}
																				BgL_arg1230z00_1164 =
																					MAKE_YOUNG_PAIR(BgL_arg1235z00_1168,
																					BNIL);
																			}
																			BgL_arg1225z00_1162 =
																				MAKE_YOUNG_PAIR(BgL_arg1226z00_1163,
																				BgL_arg1230z00_1164);
																		}
																		BgL_resz00_1154 =
																			MAKE_YOUNG_PAIR
																			(BGl_symbol1752z00zz__expander_boolz00,
																			BgL_arg1225z00_1162);
																	}
																	{	/* Eval/expdbool.scm 91 */

																		{	/* Eval/expdbool.scm 96 */
																			bool_t BgL_test1779z00_2030;

																			{	/* Eval/expdbool.scm 96 */
																				obj_t BgL_arg1224z00_1161;

																				BgL_arg1224z00_1161 =
																					CAR(((obj_t) BgL_clause1z00_1128));
																				BgL_test1779z00_2030 =
																					EPAIRP(BgL_arg1224z00_1161);
																			}
																			if (BgL_test1779z00_2030)
																				{	/* Eval/expdbool.scm 97 */
																					obj_t BgL_arg1215z00_1157;
																					obj_t BgL_arg1216z00_1158;
																					obj_t BgL_arg1217z00_1159;

																					BgL_arg1215z00_1157 =
																						CAR(BgL_resz00_1154);
																					BgL_arg1216z00_1158 =
																						CDR(BgL_resz00_1154);
																					{	/* Eval/expdbool.scm 97 */
																						obj_t BgL_objz00_1706;

																						BgL_objz00_1706 =
																							CAR(
																							((obj_t) BgL_clause1z00_1128));
																						BgL_arg1217z00_1159 =
																							CER(BgL_objz00_1706);
																					}
																					{	/* Eval/expdbool.scm 97 */
																						obj_t BgL_res1732z00_1707;

																						BgL_res1732z00_1707 =
																							MAKE_YOUNG_EPAIR
																							(BgL_arg1215z00_1157,
																							BgL_arg1216z00_1158,
																							BgL_arg1217z00_1159);
																						return BgL_res1732z00_1707;
																					}
																				}
																			else
																				{	/* Eval/expdbool.scm 96 */
																					return
																						BGl_evepairifyzd2deepzd2zz__prognz00
																						(BgL_resz00_1154, BgL_expz00_7);
																				}
																		}
																	}
																}
															}
														}
													else
														{	/* Eval/expdbool.scm 88 */
															if (
																(CAR(
																		((obj_t) BgL_clause1z00_1128)) ==
																	BGl_symbol1741z00zz__expander_boolz00))
																{	/* Eval/expdbool.scm 99 */
																	{	/* Eval/expdbool.scm 100 */
																		bool_t BgL_test1781z00_2045;

																		if (PAIRP(BgL_clause2zb2zb2_1129))
																			{	/* Eval/expdbool.scm 100 */
																				int BgL_a1086z00_1191;

																				BgL_a1086z00_1191 =
																					BGl_bigloozd2warningzd2zz__paramz00();
																				BgL_test1781z00_2045 =
																					((long) (BgL_a1086z00_1191) > 0L);
																			}
																		else
																			{	/* Eval/expdbool.scm 100 */
																				BgL_test1781z00_2045 = ((bool_t) 0);
																			}
																		if (BgL_test1781z00_2045)
																			{	/* Eval/expdbool.scm 101 */
																				obj_t BgL_list1267z00_1187;

																				{	/* Eval/expdbool.scm 101 */
																					obj_t BgL_arg1269z00_1188;

																					{	/* Eval/expdbool.scm 101 */
																						obj_t BgL_arg1271z00_1189;

																						BgL_arg1271z00_1189 =
																							MAKE_YOUNG_PAIR
																							(BgL_clause2zb2zb2_1129, BNIL);
																						BgL_arg1269z00_1188 =
																							MAKE_YOUNG_PAIR
																							(BGl_string1756z00zz__expander_boolz00,
																							BgL_arg1271z00_1189);
																					}
																					BgL_list1267z00_1187 =
																						MAKE_YOUNG_PAIR
																						(BGl_string1743z00zz__expander_boolz00,
																						BgL_arg1269z00_1188);
																				}
																				BGl_warningz00zz__errorz00
																					(BgL_list1267z00_1187);
																			}
																		else
																			{	/* Eval/expdbool.scm 100 */
																				BFALSE;
																			}
																	}
																	{	/* Eval/expdbool.scm 102 */
																		obj_t BgL_arg1274z00_1192;

																		BgL_arg1274z00_1192 =
																			CDR(((obj_t) BgL_clause1z00_1128));
																		return
																			BGl_expandzd2prognzd2zz__prognz00
																			(BgL_arg1274z00_1192);
																	}
																}
															else
																{	/* Eval/expdbool.scm 104 */
																	obj_t BgL_ncondz00_1193;

																	{	/* Eval/expdbool.scm 104 */
																		obj_t BgL_ncz00_1226;

																		BgL_ncz00_1226 =
																			MAKE_YOUNG_PAIR
																			(BGl_symbol1745z00zz__expander_boolz00,
																			BgL_clause2zb2zb2_1129);
																		{	/* Eval/expdbool.scm 106 */
																			bool_t BgL_test1783z00_2059;

																			if (PAIRP(BgL_clause2zb2zb2_1129))
																				{	/* Eval/expdbool.scm 106 */
																					obj_t BgL_tmpz00_2062;

																					BgL_tmpz00_2062 =
																						CAR(BgL_clause2zb2zb2_1129);
																					BgL_test1783z00_2059 =
																						EPAIRP(BgL_tmpz00_2062);
																				}
																			else
																				{	/* Eval/expdbool.scm 106 */
																					BgL_test1783z00_2059 = ((bool_t) 0);
																				}
																			if (BgL_test1783z00_2059)
																				{	/* Eval/expdbool.scm 107 */
																					obj_t BgL_arg1331z00_1230;
																					obj_t BgL_arg1332z00_1231;
																					obj_t BgL_arg1333z00_1232;

																					BgL_arg1331z00_1230 =
																						CAR(BgL_ncz00_1226);
																					BgL_arg1332z00_1231 =
																						CDR(BgL_ncz00_1226);
																					BgL_arg1333z00_1232 =
																						CER(CAR(BgL_clause2zb2zb2_1129));
																					{	/* Eval/expdbool.scm 107 */
																						obj_t BgL_res1733z00_1716;

																						BgL_res1733z00_1716 =
																							MAKE_YOUNG_EPAIR
																							(BgL_arg1331z00_1230,
																							BgL_arg1332z00_1231,
																							BgL_arg1333z00_1232);
																						BgL_ncondz00_1193 =
																							BgL_res1733z00_1716;
																					}
																				}
																			else
																				{	/* Eval/expdbool.scm 108 */
																					bool_t BgL_test1785z00_2070;

																					{	/* Eval/expdbool.scm 108 */
																						obj_t BgL_arg1347z00_1244;

																						BgL_arg1347z00_1244 =
																							CAR(
																							((obj_t) BgL_clausesz00_1127));
																						BgL_test1785z00_2070 =
																							EPAIRP(BgL_arg1347z00_1244);
																					}
																					if (BgL_test1785z00_2070)
																						{	/* Eval/expdbool.scm 109 */
																							obj_t BgL_arg1337z00_1236;
																							obj_t BgL_arg1338z00_1237;
																							obj_t BgL_arg1339z00_1238;

																							BgL_arg1337z00_1236 =
																								CAR(BgL_ncz00_1226);
																							BgL_arg1338z00_1237 =
																								CDR(BgL_ncz00_1226);
																							{	/* Eval/expdbool.scm 109 */
																								obj_t BgL_objz00_1721;

																								BgL_objz00_1721 =
																									CAR(
																									((obj_t)
																										BgL_clausesz00_1127));
																								BgL_arg1339z00_1238 =
																									CER(BgL_objz00_1721);
																							}
																							{	/* Eval/expdbool.scm 109 */
																								obj_t BgL_res1734z00_1722;

																								BgL_res1734z00_1722 =
																									MAKE_YOUNG_EPAIR
																									(BgL_arg1337z00_1236,
																									BgL_arg1338z00_1237,
																									BgL_arg1339z00_1238);
																								BgL_ncondz00_1193 =
																									BgL_res1734z00_1722;
																							}
																						}
																					else
																						{	/* Eval/expdbool.scm 108 */
																							if (EPAIRP(BgL_clausesz00_1127))
																								{	/* Eval/expdbool.scm 111 */
																									obj_t BgL_arg1343z00_1241;
																									obj_t BgL_arg1345z00_1242;
																									obj_t BgL_arg1346z00_1243;

																									BgL_arg1343z00_1241 =
																										CAR(BgL_ncz00_1226);
																									BgL_arg1345z00_1242 =
																										CDR(BgL_ncz00_1226);
																									BgL_arg1346z00_1243 =
																										CER(
																										((obj_t)
																											BgL_clausesz00_1127));
																									{	/* Eval/expdbool.scm 111 */
																										obj_t BgL_res1735z00_1726;

																										BgL_res1735z00_1726 =
																											MAKE_YOUNG_EPAIR
																											(BgL_arg1343z00_1241,
																											BgL_arg1345z00_1242,
																											BgL_arg1346z00_1243);
																										BgL_ncondz00_1193 =
																											BgL_res1735z00_1726;
																									}
																								}
																							else
																								{	/* Eval/expdbool.scm 110 */
																									BgL_ncondz00_1193 =
																										BgL_ncz00_1226;
																								}
																						}
																				}
																		}
																	}
																	{	/* Eval/expdbool.scm 104 */
																		obj_t BgL_locz00_1194;

																		if (EPAIRP(BgL_expz00_7))
																			{	/* Eval/expdbool.scm 114 */
																				BgL_locz00_1194 =
																					CER(((obj_t) BgL_expz00_7));
																			}
																		else
																			{	/* Eval/expdbool.scm 114 */
																				BgL_locz00_1194 = BFALSE;
																			}
																		{	/* Eval/expdbool.scm 114 */
																			obj_t BgL_loc1z00_1195;

																			if (EPAIRP(BgL_clause1z00_1128))
																				{	/* Eval/expdbool.scm 115 */
																					BgL_loc1z00_1195 =
																						CER(((obj_t) BgL_clause1z00_1128));
																				}
																			else
																				{	/* Eval/expdbool.scm 115 */
																					BgL_loc1z00_1195 = BFALSE;
																				}
																			{	/* Eval/expdbool.scm 115 */
																				obj_t BgL_loc1zd2carzd2_1196;

																				{	/* Eval/expdbool.scm 116 */
																					bool_t BgL_test1789z00_2095;

																					{	/* Eval/expdbool.scm 116 */
																						obj_t BgL_arg1322z00_1223;

																						BgL_arg1322z00_1223 =
																							CAR(
																							((obj_t) BgL_clause1z00_1128));
																						BgL_test1789z00_2095 =
																							EPAIRP(BgL_arg1322z00_1223);
																					}
																					if (BgL_test1789z00_2095)
																						{	/* Eval/expdbool.scm 116 */
																							obj_t BgL_objz00_1731;

																							BgL_objz00_1731 =
																								CAR(
																								((obj_t) BgL_clause1z00_1128));
																							BgL_loc1zd2carzd2_1196 =
																								CER(BgL_objz00_1731);
																						}
																					else
																						{	/* Eval/expdbool.scm 116 */
																							BgL_loc1zd2carzd2_1196 = BFALSE;
																						}
																				}
																				{	/* Eval/expdbool.scm 116 */
																					obj_t BgL_loc1zd2cdrzd2_1197;

																					{	/* Eval/expdbool.scm 117 */
																						bool_t BgL_test1790z00_2102;

																						{	/* Eval/expdbool.scm 117 */
																							obj_t BgL_arg1296z00_1219;

																							BgL_arg1296z00_1219 =
																								CDR(
																								((obj_t) BgL_clause1z00_1128));
																							BgL_test1790z00_2102 =
																								EPAIRP(BgL_arg1296z00_1219);
																						}
																						if (BgL_test1790z00_2102)
																							{	/* Eval/expdbool.scm 117 */
																								obj_t BgL_objz00_1734;

																								BgL_objz00_1734 =
																									CDR(
																									((obj_t)
																										BgL_clause1z00_1128));
																								BgL_loc1zd2cdrzd2_1197 =
																									CER(BgL_objz00_1734);
																							}
																						else
																							{	/* Eval/expdbool.scm 117 */
																								BgL_loc1zd2cdrzd2_1197 = BFALSE;
																							}
																					}
																					{	/* Eval/expdbool.scm 117 */
																						obj_t BgL_locnz00_1198;

																						if (EPAIRP(BgL_clause2zb2zb2_1129))
																							{	/* Eval/expdbool.scm 118 */
																								BgL_locnz00_1198 =
																									CER(
																									((obj_t)
																										BgL_clause2zb2zb2_1129));
																							}
																						else
																							{	/* Eval/expdbool.scm 118 */
																								BgL_locnz00_1198 = BFALSE;
																							}
																						{	/* Eval/expdbool.scm 118 */

																							{	/* Eval/expdbool.scm 120 */
																								obj_t BgL_arg1276z00_1199;
																								obj_t BgL_arg1278z00_1200;

																								{	/* Eval/expdbool.scm 120 */
																									obj_t BgL_arg1279z00_1201;
																									obj_t BgL_arg1280z00_1202;
																									obj_t BgL_arg1281z00_1203;

																									BgL_arg1279z00_1201 =
																										CAR(
																										((obj_t)
																											BgL_clause1z00_1128));
																									{	/* Eval/expdbool.scm 121 */
																										obj_t BgL_arg1282z00_1204;
																										obj_t BgL_arg1283z00_1205;
																										obj_t BgL_arg1285z00_1206;

																										{	/* Eval/expdbool.scm 121 */
																											obj_t BgL_arg1287z00_1207;

																											BgL_arg1287z00_1207 =
																												CDR(
																												((obj_t)
																													BgL_clause1z00_1128));
																											BgL_arg1282z00_1204 =
																												BGl_expandzd2prognzd2zz__prognz00
																												(BgL_arg1287z00_1207);
																										}
																										{	/* Eval/expdbool.scm 125 */
																											obj_t BgL_arg1291z00_1208;

																											if (CBOOL
																												(BgL_locnz00_1198))
																												{	/* Eval/expdbool.scm 125 */
																													BgL_arg1291z00_1208 =
																														BgL_locnz00_1198;
																												}
																											else
																												{	/* Eval/expdbool.scm 125 */
																													if (CBOOL
																														(BgL_loc1z00_1195))
																														{	/* Eval/expdbool.scm 125 */
																															BgL_arg1291z00_1208
																																=
																																BgL_loc1z00_1195;
																														}
																													else
																														{	/* Eval/expdbool.scm 125 */
																															BgL_arg1291z00_1208
																																=
																																BgL_locz00_1194;
																														}
																												}
																											if (CBOOL
																												(BgL_arg1291z00_1208))
																												{	/* Eval/expdbool.scm 68 */
																													obj_t
																														BgL_res1736z00_1738;
																													BgL_res1736z00_1738 =
																														MAKE_YOUNG_EPAIR
																														(BgL_ncondz00_1193,
																														BNIL,
																														BgL_arg1291z00_1208);
																													BgL_arg1283z00_1205 =
																														BgL_res1736z00_1738;
																												}
																											else
																												{	/* Eval/expdbool.scm 67 */
																													BgL_arg1283z00_1205 =
																														MAKE_YOUNG_PAIR
																														(BgL_ncondz00_1193,
																														BNIL);
																												}
																										}
																										if (CBOOL
																											(BgL_loc1zd2cdrzd2_1197))
																											{	/* Eval/expdbool.scm 126 */
																												BgL_arg1285z00_1206 =
																													BgL_loc1zd2cdrzd2_1197;
																											}
																										else
																											{	/* Eval/expdbool.scm 126 */
																												if (CBOOL
																													(BgL_loc1z00_1195))
																													{	/* Eval/expdbool.scm 126 */
																														BgL_arg1285z00_1206
																															=
																															BgL_loc1z00_1195;
																													}
																												else
																													{	/* Eval/expdbool.scm 126 */
																														BgL_arg1285z00_1206
																															= BgL_locz00_1194;
																													}
																											}
																										if (CBOOL
																											(BgL_arg1285z00_1206))
																											{	/* Eval/expdbool.scm 68 */
																												obj_t
																													BgL_res1737z00_1739;
																												BgL_res1737z00_1739 =
																													MAKE_YOUNG_EPAIR
																													(BgL_arg1282z00_1204,
																													BgL_arg1283z00_1205,
																													BgL_arg1285z00_1206);
																												BgL_arg1280z00_1202 =
																													BgL_res1737z00_1739;
																											}
																										else
																											{	/* Eval/expdbool.scm 67 */
																												BgL_arg1280z00_1202 =
																													MAKE_YOUNG_PAIR
																													(BgL_arg1282z00_1204,
																													BgL_arg1283z00_1205);
																											}
																									}
																									if (CBOOL
																										(BgL_loc1zd2carzd2_1196))
																										{	/* Eval/expdbool.scm 127 */
																											BgL_arg1281z00_1203 =
																												BgL_loc1zd2carzd2_1196;
																										}
																									else
																										{	/* Eval/expdbool.scm 127 */
																											BgL_arg1281z00_1203 =
																												BgL_locz00_1194;
																										}
																									if (CBOOL
																										(BgL_arg1281z00_1203))
																										{	/* Eval/expdbool.scm 68 */
																											obj_t BgL_res1738z00_1740;

																											BgL_res1738z00_1740 =
																												MAKE_YOUNG_EPAIR
																												(BgL_arg1279z00_1201,
																												BgL_arg1280z00_1202,
																												BgL_arg1281z00_1203);
																											BgL_arg1276z00_1199 =
																												BgL_res1738z00_1740;
																										}
																									else
																										{	/* Eval/expdbool.scm 67 */
																											BgL_arg1276z00_1199 =
																												MAKE_YOUNG_PAIR
																												(BgL_arg1279z00_1201,
																												BgL_arg1280z00_1202);
																										}
																								}
																								if (CBOOL(BgL_loc1z00_1195))
																									{	/* Eval/expdbool.scm 128 */
																										BgL_arg1278z00_1200 =
																											BgL_loc1z00_1195;
																									}
																								else
																									{	/* Eval/expdbool.scm 128 */
																										BgL_arg1278z00_1200 =
																											BgL_locz00_1194;
																									}
																								{	/* Eval/expdbool.scm 119 */
																									obj_t BgL_az00_1741;

																									BgL_az00_1741 =
																										BGl_symbol1754z00zz__expander_boolz00;
																									if (CBOOL
																										(BgL_arg1278z00_1200))
																										{	/* Eval/expdbool.scm 68 */
																											obj_t BgL_res1739z00_1742;

																											BgL_res1739z00_1742 =
																												MAKE_YOUNG_EPAIR
																												(BgL_az00_1741,
																												BgL_arg1276z00_1199,
																												BgL_arg1278z00_1200);
																											return
																												BgL_res1739z00_1742;
																										}
																									else
																										{	/* Eval/expdbool.scm 67 */
																											return
																												MAKE_YOUNG_PAIR
																												(BgL_az00_1741,
																												BgL_arg1276z00_1199);
																										}
																								}
																							}
																						}
																					}
																				}
																			}
																		}
																	}
																}
														}
												}
										}
								}
						}
					}
				}
			}
		}

	}



/* &expand-cond */
	obj_t BGl_z62expandzd2condzb0zz__expander_boolz00(obj_t BgL_envz00_1927,
		obj_t BgL_expz00_1928)
	{
		{	/* Eval/expdbool.scm 74 */
			return BGl_expandzd2condzd2zz__expander_boolz00(BgL_expz00_1928);
		}

	}



/* object-init */
	obj_t BGl_objectzd2initzd2zz__expander_boolz00(void)
	{
		{	/* Eval/expdbool.scm 14 */
			return BUNSPEC;
		}

	}



/* generic-init */
	obj_t BGl_genericzd2initzd2zz__expander_boolz00(void)
	{
		{	/* Eval/expdbool.scm 14 */
			return BUNSPEC;
		}

	}



/* method-init */
	obj_t BGl_methodzd2initzd2zz__expander_boolz00(void)
	{
		{	/* Eval/expdbool.scm 14 */
			return BUNSPEC;
		}

	}



/* imported-modules-init */
	obj_t BGl_importedzd2moduleszd2initz00zz__expander_boolz00(void)
	{
		{	/* Eval/expdbool.scm 14 */
			BGl_modulezd2initializa7ationz75zz__errorz00(88804785L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__biglooz00(348684831L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__tvectorz00(135276775L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__structurez00(128205792L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__bexitz00(443005284L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__bignumz00(289561787L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__paramz00(453939141L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__objectz00(475449627L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__threadz00(149516032L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5z00(26840973L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_fixnumz00(457511469L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonumz00(362050511L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_numbers_6_5_flonum_dtoaz00
				(268155843L, BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_characters_6_6z00(198620800L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_equivalence_6_2z00(111613887L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_booleans_6_1z00(459519430L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_symbols_6_4z00(115192690L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_strings_6_7z00((-44273703L),
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_pairs_and_lists_6_3z00(9614678L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(376927882L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_vectors_6_8z00(43892022L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_ports_6_10_1z00(185672289L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__r4_output_6_10_3z00(86988580L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			BGl_modulezd2initializa7ationz75zz__prognz00(177147622L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
			return BGl_modulezd2initializa7ationz75zz__expandz00(414007149L,
				BSTRING_TO_STRING(BGl_string1757z00zz__expander_boolz00));
		}

	}

#ifdef __cplusplus
}
#endif
